Bug 149624 - Kernel Panic during boot with Kernel 2.6.9-5.03.ELsmp
Kernel Panic during boot with Kernel 2.6.9-5.03.ELsmp
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 12:19 EST by Dean Landry
Modified: 2013-03-06 00:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:11:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Landry 2005-02-24 12:19:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
After allowing Up2Date to update the kernel to 2.6.9-5.0.3.ELsmp and rebooting, there is a kernel panic. The lines leading up to the error were:

Red Hat mash version 4.1.18 starting
Mounted /proc filessystem
Mounting sysfs
Creating /dev
starting udev
Loading jbd.ko module
Loading ext3.ko module
Creating root device
mkrootdev: label / not found
Mounting root filesystem
mount: error 2 mounting ext3
mount: error 2 mounting none
Switching to new root
switchroot: mount failed: 22
umount /initrd/dev failed: 2
Kernel panic - not syncing: Attempted to kill init!

Here is my grub.conf:

default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Enterprise Linux AS (2.6.9-5.0.3.EL)
       root (hd0,0)
       kernel /vmlinuz-2.6.9-5.0.3.EL ro root=LABEL=/
       initrd /initrd-2.6.9-5.0.3.EL.img
title Red Hat Enterprise Linux AS (2.6.9-5.0.3.ELsmp)
       root (hd0,0)
       kernel /vmlinuz-2.6.9-5.0.3.ELsmp ro root=LABEL=/
       initrd /initrd-2.6.9-5.0.3.ELsmp.img
title Red Hat Enterprise Linux AS (2.6.9-5.ELsmp)
       root (hd0,0)
       kernel /vmlinuz-2.6.9-5.ELsmp ro root=LABEL=/
       initrd /initrd-2.6.9-5.ELsmp.img
title Red Hat Enterprise Linux AS (2.6.9-5.EL)
       root (hd0,0)
       kernel /vmlinuz-2.6.9-5.EL ro root=LABEL=/
       initrd /initrd-2.6.9-5.EL.img 

Version-Release number of selected component (if applicable):
kernel-2.6.9-5.03.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. Run Up2date, allow it to update kernel to 2.6.9-5.03.ELsmp
2. Reboot

  

Actual Results:  mkrootdev: label / not found
Mounting root filesystem
mount: error 2 mounting ext3
mount: error 2 mounting none
Switching to new root
switchroot: mount failed: 22
umount /initrd/dev failed: 2
Kernel panic - not syncing: Attempted to kill init!


Expected Results:  System should have started normally

Additional info:
Comment 1 Suzanne Hillman 2005-02-25 16:16:49 EST
What is the hardware on which this is occuring, and does this happen on more
than one kind of hardware?
Comment 2 Dean Landry 2005-03-02 12:24:40 EST
I only have the issue on this one machine.  It is a Netfinity 5100 with 1000Mhz
PIII processors (2 of them).
Comment 3 Dave Jones 2005-03-07 16:43:50 EST
what kind of disk controller is in that machine ?

what does ls -l /boot/initrd* look like ?

what does e2label /dev/X (where X is the device node your / partition is on) say?

Comment 4 Dean Landry 2005-03-08 07:02:17 EST
The SCSI Raid Controller is an IBM ServerRaid adapter (Hardware Browser lists
AIC7896U2/7897U2)

# ls -l /boot/initrd*
-rw-r--r--  1 root root 388860 Feb 23 08:32 /boot/initrd-2.6.9-5.0.3.ELsmp.img
-rw-r--r--  1 root root 555862 Feb 16 14:54 /boot/initrd-2.6.9-5.EL.img
-rw-r--r--  1 root root 547315 Feb 16 14:55 /boot/initrd-2.6.9-5.ELsmp.img

# e2label /dev/sda3
/
#
Comment 5 Dave Jones 2005-04-21 21:04:54 EDT
did this happen again with the 5.0.5 errata ?
Comment 6 Dave Jones 2005-06-27 16:14:43 EDT
Or with the U1 kernel ?
Comment 7 Jason Baron 2005-11-08 12:16:38 EST
any status update?
Comment 8 Jiri Pallich 2012-06-20 12:11:58 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.